# getAliasNames method

1. @protected

List<String> getAliasNames()

Returns all registered aliases as an unmodifiable view for the current thread.

The list is returned in the order aliases were registered.

## Returns:

An unmodifiable list of all alias names in registration order

## Example:

    final registry = SimpleAliasRegistry();
    registry.registerAlias('service1', 'alias1');
    registry.registerAlias('service2', 'alias2');
    registry.registerAlias('service3', 'alias3');

    final aliases = registry.getAliasNames();
    print(aliases); // ['alias1', 'alias2', 'alias3'] in registration order

## Implementation

    @protected
    List<String> getAliasNames() {
      return synchronized(this, () {
        final aliasNames = _getAliasNames();
        return List.unmodifiable(aliasNames);
      });
    }